"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var mobx_react_1 = require("mobx-react");
var __1 = require("..");
exports.Field = mobx_react_1.observer(function (props) {
    var context = react_1.useContext(__1.FormContext);
    var Component = props.component;
    var field = context.getField(props.name);
    if (props.validate) {
        context.setupFieldValidator(props.name, props.validate);
    }
    var onChange = context.handleChange(props.name);
    return (react_1.default.createElement(Component, __assign({}, field, { initializing: context.initializing, onChange: onChange, data: props.data, className: props.className })));
});
