import React from "react";
import { AvailabilityCallback, FormStore } from "..";
import { SubmitCallback, ValidateCallback } from "..";
declare type Initializer = object | Promise<object>;
export declare const Form: React.FC<{
    store: FormStore<any>;
    initialValues: Initializer;
    submit: SubmitCallback<any, any>;
    validate?: ValidateCallback<any>;
    availability?: AvailabilityCallback<any>;
    forceValidation?: boolean;
    forceAvailability?: boolean;
}>;
export {};
