"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var mobx_react_1 = require("mobx-react");
var FormContext_1 = require("../domain/FormContext");
exports.Reset = mobx_react_1.observer(function (props) {
    var context = react_1.useContext(FormContext_1.FormContext);
    var onClick = function () {
        context.reset();
    };
    return (react_1.default.createElement("button", { type: "button", className: props.className, onClick: onClick, disabled: context.pristine || context.initializing }, props.children));
});
