"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var mobx_react_1 = require("mobx-react");
var react_1 = __importStar(require("react"));
var __1 = require("..");
var DefaultErrorsWrapper = function (props) { return (react_1.default.createElement("ul", null, props.children)); };
var DefaultErrorItem = function (props) { return (react_1.default.createElement("li", null,
    props.name,
    ": ",
    props.message)); };
exports.Errors = mobx_react_1.observer(function (props) {
    var context = react_1.useContext(__1.FormContext);
    var errors = context.errors;
    var Wrapper = props.wrapperComponent || DefaultErrorsWrapper;
    var Item = props.itemComponent || DefaultErrorItem;
    return !context.valid && errors ? (react_1.default.createElement(Wrapper, null, Object.keys(errors).map(function (name, key) { return (react_1.default.createElement(Item, { key: key, name: name, message: errors[name] })); }))) : null;
});
