"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var Field_1 = require("./Field");
var react_1 = __importDefault(require("react"));
var FieldCheckRenderer = function (props) {
    var value = props.value, onChange = props.onChange, disabled = props.disabled, initializing = props.initializing, name = props.name, className = props.className;
    var handleChange = function (e) {
        onChange(e.currentTarget.checked);
    };
    return (react_1.default.createElement("input", { type: "checkbox", name: name, onChange: handleChange, disabled: disabled || initializing, checked: value || false, className: className }));
};
exports.FieldCheck = function (props) { return react_1.default.createElement(Field_1.Field, { name: props.name, validate: props.validate, component: FieldCheckRenderer, className: props.className }); };
