"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var Field_1 = require("./Field");
var react_1 = __importDefault(require("react"));
var FieldRadioRenderer = function (props) {
    var value = props.value, onChange = props.onChange, disabled = props.disabled, initializing = props.initializing, name = props.name, data = props.data, className = props.className;
    var handleChange = function (e) {
        onChange(data.value);
    };
    return (react_1.default.createElement("input", { type: "radio", name: name, onChange: handleChange, disabled: disabled || initializing, value: data.value, checked: data.value === value || false, className: className }));
};
exports.FieldRadio = function (props) { return react_1.default.createElement(Field_1.Field, { name: props.name, validate: props.validate, component: FieldRadioRenderer, className: props.className, data: {
        value: props.value
    } }); };
