"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Field_1 = require("./Field");
var FieldTextRenderer = function (props) {
    var value = props.value, onChange = props.onChange, disabled = props.disabled, initializing = props.initializing, name = props.name, className = props.className;
    var handleChange = function (e) {
        onChange(e.currentTarget.value);
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("input", { type: "text", name: name, onChange: handleChange, value: value || "", disabled: disabled || initializing, className: className })));
};
exports.FieldText = function (props) { return react_1.default.createElement(Field_1.Field, { name: props.name, validate: props.validate, component: FieldTextRenderer, className: props.className }); };
