"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var mobx_react_1 = require("mobx-react");
var react_1 = __importStar(require("react"));
var __1 = require("..");
exports.Submit = mobx_react_1.observer(function (props) {
    var context = react_1.useContext(__1.FormContext);
    var onClick = function (e) {
        if (props.name) {
            context.handleChange(props.name)(e.currentTarget.value);
        }
    };
    return (react_1.default.createElement("button", { name: props.name, type: props.type || "submit", onClick: onClick, value: props.value, disabled: !context.valid || context.submitting || context.validating || context.initializing, className: props.className }, props.children));
});
